import { createApp } from 'vue';
import { createPinia } from 'pinia';
import App from './App.vue';
import router from './router'; // 直接从 ./router 导入已经配置好的 router
import ElementPlus from 'element-plus'
import './styles/main.css';
import 'element-plus/theme-chalk/index.css';
import './assets/tailwind.css';

const app = createApp(App);
const pinia = createPinia();

app.use(pinia);
app.use(router); // 直接使用从 ./router 导入的 router
app.use(ElementPlus)
app.mount('#app');